%if 0%{?el7}
%define dist .el7
%endif

%define _language ja

%define i386_ver 20110131
%define ppc_ver 20061022
%define alpha_ver 20061028
%define x86_64_ver 20071007

Name:		mplayer
Version:	1.2
Release:	3%{?dist}
Summary:	MPlayer is a movie player which runs on many systems

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Group:		Applications/Multimedia
License:	GPLv2
URL:		http://www.mplayerhq.hu/
Source0:	http://www.mplayerhq.hu/MPlayer/releases/MPlayer-%{version}.tar.xz
Source1:	http://www.mplayerhq.hu/MPlayer/releases/codecs/all-%{i386_ver}.tar.bz2
Source2:	http://www.mplayerhq.hu/MPlayer/releases/codecs/all-alpha-%{alpha_ver}.tar.bz2
Source3:	http://www.mplayerhq.hu/MPlayer/releases/codecs/all-ppc-%{ppc_ver}.tar.bz2
Source4:	http://www.mplayerhq.hu/MPlayer/releases/codecs/essential-amd64-%{x86_64_ver}.tar.bz2
Source999:  %{name}-japanese.tar.xz

BuildRequires:	gtk2-devel
BuildRequires:	yasm
BuildRequires:	libcdio-devel
BuildRequires:	libsmbclient-devel
BuildRequires:	libpng-devel
BuildRequires:	SDL-devel
BuildRequires:	pulseaudio-libs-devel
BuildRequires:	fribidi-devel
BuildRequires:	libogg-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvpx-devel
BuildRequires:	libxml2-devel libxml2
BuildRequires:	ncurses-devel
BuildRequires:	libcaca-devel
BuildRequires:	giflib-devel
BuildRequires:	bzip2-devel
BuildRequires:	lzo-devel
BuildRequires:	speex-devel
BuildRequires:	libdv-devel
BuildRequires:	dirac-devel
BuildRequires:	sgml-common
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl
BuildRequires:	libxslt-devel libxslt

BuildRequires:	aalib-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	cdparanoia-devel
BuildRequires:	desktop-file-utils
BuildRequires:	enca-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel >= 2.0.9
BuildRequires:	ladspa-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	libXinerama-devel
BuildRequires:	libXv-devel
BuildRequires:	libXvMC-devel
BuildRequires:	libXxf86dga-devel
BuildRequires:	libXxf86vm-devel
BuildRequires:	libdvdnav-devel
BuildRequires:	libmpcdec-devel
BuildRequires:	libvorbis-devel
BuildRequires:  libmpcdec-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	openal-soft-devel
BuildRequires:	schroedinger-devel
BuildRequires:	lirc-devel

BuildRequires:  opus-devel
BuildRequires:  ilbc-devel
BuildRequires:  libbluray-devel
BuildRequires:  libmng-devel
BuildRequires:  libvdpau-devel
BuildRequires:  gnutls-devel
BuildRequires:  nas-devel

%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:  libcdio-paranoia-devel
BuildRequires:  SDL2_image-devel
%endif

# custom
BuildRequires:	ffmpeg-devel
BuildRequires:	librtmp-devel
BuildRequires:	faac faac-devel
BuildRequires:	faad2 faad2-devel
BuildRequires:	libx264-devel
BuildRequires:  libx265-devel
BuildRequires:	libxvidcore-devel
BuildRequires:	libopencore-amr-devel
BuildRequires:	libnut-devel
BuildRequires:	lame-devel
BuildRequires:	libmad
BuildRequires:	a52dec-devel
BuildRequires:  twolame-devel
BuildRequires:  live555-devel 
BuildRequires:  libdca-devel
BuildRequires:  libmpeg2-devel
BuildRequires:  mpg123-devel

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
MPlayer is a movie player which runs on many systems (see the documentation).
It plays most MPEG/VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV, QT/MOV/MP4, RealMedia,
Matroska, NUT, NuppelVideo, FLI, YUV4MPEG, FILM, RoQ, PVA files,
supported by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD,
SVCD, DVD, 3ivx, DivX 3/4/5, WMV and even H.264 movies.

%package gui
Summary:	MPlayer GUI
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description gui
MPlayer GUI

%package codecs
Summary:	MPlayer essential binary codecs package
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description codecs
All-in-one essential end-user package. Contains binary codecs that have
no native open-source decoder currently.

%package -n mencoder
Summary:	MPlayer movie encoder
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description -n mencoder
This package contains the MPlayer movie encoder.

%package doc
Summary:	MPlayer documentation in various languages
Group:		Documentation

%description doc
MPlayer documentation in various languages.


%prep
%setup -q -n MPlayer-%{version}
%ifarch %{ix86}
%setup -q -n MPlayer-%{version} -a 1
%endif
%ifarch alpha
%setup -q -n MPlayer-%{version} -a 2
%endif
%ifarch ppc
%setup -q -n MPlayer-%{version} -a 3
%endif
%ifarch x86_64
%setup -q -n MPlayer-%{version} -a 4
%endif

%{__xz} -dc %{SOURCE999} | %{__tar} -xf -

%{__cp} -rp man/ja DOCS/man/
%{__cp} -rp xml/ja DOCS/xml/
%{__cp} -rp HTML/ja DOCS/html/
%{__cp} -rp help_mp-ja.h help/

doconv() {
	iconv -f $1 -t $2 -o DOCS/man/$3/mplayer.1.utf8 DOCS/man/$3/mplayer.1 && \
	mv DOCS/man/$3/mplayer.1.utf8 DOCS/man/$3/mplayer.1
}
for lang in de es fr it ; do doconv iso-8859-1 utf-8 $lang ; done
for lang in hu pl ; do doconv iso-8859-2 utf-8 $lang ; done
for lang in ru ; do doconv koi8-r utf-8 $lang ; done


%build
LDFLAGS="-lssl -lcrypto"
%ifarch x86_64
CFLAGS="-fPIC -m64"
EXCFLAGS="-fPIC -m64"
%else
CFLAGS="-fPIC"
EXCFLAGS="-fPIC"
%endif
./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--datadir=%{_datadir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--confdir=%{_sysconfdir}/mplayer \
	--codecsdir=%{_libdir}/mplayer \
	--extra-cflags="$EXCFLAGS" \
	--extra-ldflags="-lstdc++" \
	--enable-gui \
	--enable-menu \
	--language-msg=%{_language} \
	--language=all

make %{?_smp_mflags}

mv -f mplayer gmplayer

./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--datadir=%{_datadir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--confdir=%{_sysconfdir}/mplayer \
	--codecsdir=%{_libdir}/mplayer \
	--extra-cflags="$EXCFLAGS" \
	--extra-ldflags="-lstdc++" \
	--enable-menu \
	--language-msg=%{_language} \
	--language=all

make html-chunked

%install
make install DESTDIR=$RPM_BUILD_ROOT STRIPBINARIES=no

install -pm 755 TOOLS/midentify.sh $RPM_BUILD_ROOT%{_bindir}/

mkdir doc
cp -pR DOCS/* doc/
rm -r doc/man doc/xml doc/README
mv doc/HTML/* doc/
rm -rf doc/HTML

install -d -m0755 $RPM_BUILD_ROOT%{_libdir}/mplayer

%ifarch %{ix86}
install -m0644 all-%{i386_ver}/* $RPM_BUILD_ROOT%{_libdir}/mplayer
%endif
%ifarch alpha
install -m0644 all-alpha-%{alpha_ver}/* $RPM_BUILD_ROOT%{_libdir}/mplayer
%endif
%ifarch ppc
install -m0644 all-ppc-%{ppc_ver}/* $RPM_BUILD_ROOT%{_libdir}/mplayer
%endif
%ifarch x86_64
install -m0644 essential-amd64-%{x86_64_ver}/* $RPM_BUILD_ROOT%{_libdir}/mplayer
%endif

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/mplayer
pushd etc
mv -f example.conf mplayer.conf
for conf in `ls *.conf`
do
	install -D -m644 $conf $RPM_BUILD_ROOT%{_sysconfdir}/mplayer/$conf
done
popd

echo "fontconfig=yes" >>$RPM_BUILD_ROOT%{_sysconfdir}/mplayer/mplayer.conf
echo "font=\"Sans\"" >>$RPM_BUILD_ROOT%{_sysconfdir}/mplayer/mplayer.conf

install -pm 755 g%{name} $RPM_BUILD_ROOT%{_bindir}/

# Icons
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
install -pm 644 etc/mplayer16x16.png \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/mplayer.png
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps
install -pm 644 etc/mplayer22x22.png \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps/mplayer.png
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps
install -pm 644 etc/mplayer24x24.png \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/mplayer.png
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -pm 644 etc/mplayer32x32.png \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/mplayer.png
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -pm 644 etc/mplayer48x48.png \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/mplayer.png
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/256x256/apps
install -pm 644 etc/mplayer256x256.png \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/256x256/apps/mplayer.png

desktop-file-install --vendor "" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--delete-original \
	--mode 644 \
	etc/%{name}.desktop
#	$RPM_BUILD_ROOT%{_datadir}/applications/mplayer.desktop

rm -f $RPM_BUILD_ROOT%{_libdir}/mplayer/codecs/README
rm -f $RPM_BUILD_ROOT%{_libdir}/mplayer/README

%clean
rm -rf $RPM_BUILD_ROOT

%postun gui
%{_bindir}/update-desktop-database %{_datadir}/applications &>/dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :

%files
%doc AUTHORS Changelog README VERSION
%{!?_licensedir:%global license %%doc}
%license Copyright LICENSE
%{_bindir}/mplayer
%{_bindir}/midentify.sh
%{_mandir}/man1/mplayer.1*
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%lang(cs) %{_mandir}/cs/man1/mplayer.1*
%lang(de) %{_mandir}/de/man1/mplayer.1*
%lang(es) %{_mandir}/es/man1/mplayer.1*
%lang(fr) %{_mandir}/fr/man1/mplayer.1*
%lang(hu) %{_mandir}/hu/man1/mplayer.1*
%lang(it) %{_mandir}/it/man1/mplayer.1*
%lang(pl) %{_mandir}/pl/man1/mplayer.1*
%lang(ru) %{_mandir}/ru/man1/mplayer.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mplayer.1*
%lang(ja) %{_mandir}/ja/man1/mplayer.1*

%files gui
%{_bindir}/gmplayer
%{_datadir}/applications/mplayer.desktop
%{_datadir}/icons/hicolor/*/apps/mplayer.png

%files -n mencoder
%{_bindir}/mencoder
%{_mandir}/man1/mencoder.1*
%lang(cs) %{_mandir}/cs/man1/mencoder.1*
%lang(de) %{_mandir}/de/man1/mencoder.1*
%lang(es) %{_mandir}/es/man1/mencoder.1*
%lang(fr) %{_mandir}/fr/man1/mencoder.1*
%lang(hu) %{_mandir}/hu/man1/mencoder.1*
%lang(it) %{_mandir}/it/man1/mencoder.1*
%lang(pl) %{_mandir}/pl/man1/mencoder.1*
%lang(ru) %{_mandir}/ru/man1/mencoder.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mencoder.1*
%lang(ja) %{_mandir}/ja/man1/mencoder.1*

%files doc
%lang(cs) %doc doc/cs/
%lang(de) %doc doc/de/
%lang(es) %doc doc/es/
%lang(fr) %doc doc/fr/
%lang(hu) %doc doc/hu/
%lang(pl) %doc doc/pl/
%lang(ru) %doc doc/ru/
%lang(zh_CN) %doc doc/zh_CN/
%lang(ja) %doc doc/ja/

%files codecs
%ifarch %{ix86}
%doc all-%{i386_ver}/README
%endif
%ifarch alpha
%doc all-alpha-%{alpha_ver}/README
%endif
%ifarch ppc
%doc all-ppc-%{ppc_ver}/README
%endif
%ifarch x86_64
%doc essential-amd64-%{x86_64_ver}/README
%endif
%{_libdir}/mplayer/*

%changelog
* Wed Feb 17 2016 momo-i <webmaster@momo-i.org> - 1.2-3
- Rebuilt for ffmpeg

* Wed Feb 10 2016 momo-i <webmaster@momo-i.org> - 1.2-2
- Rebuilt for x265

* Thu Oct 08 2015 momo-i <webmaster@momo-i.org> - 1.2-1
- Update to 1.2

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.1.1-12
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.1.1-11
- Rebuilt for fc23

* Tue Jul 28 2015 momo-i <webmaster@momo-i.org> - 1.1.1-10
- Rebuilt for x264

* Fri Jul 03 2015 momo-i <webmaster@momo-i.org> - 1.1.1-9
- Rebuilt for x264

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 1.1.1-8
- Rebuilt for fc22

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 1.1.1-7
- Update for x264 and x265
- change license dir
- Delete em8300-devel

* Thu Jan 23 2014 momo-i <webmaster@momo-i.org> - 1.1.1-6
- Update for x264

* Thu Dec  5 2013 momo-i <webmaster@momo-i.org> - 1.1.1-5
- change default language-msg use %define _language xx

* Thu Dec  5 2013 momo-i <webmaster@momo-i.org> - 1.1.1-4
- change gmplayer

* Mon Dec  2 2013 momo-i <webmaster@momo-i.org> - 1.1.1-3
- Add *.conf

* Fri Oct 18 2013 momo-i <webmaster@momo-i.org> 1.1.1-2
- Update to 1.1.1

* Mon Mar  4 2013 momo-i <webmaster@momo-i.org> 1.1-1
- Initial rpm release.
